#include <sys/cdefs.h>

int testcase(void);

/*
 * In FreeBSD, libc uses __weak_reference(), which does the following construct.
 * The macro generating this is __weak_reference(__crosscall, crosscall);
 */
__asm__(".weak " "crosscall");
__asm__(".equ " "crosscall" ", " "__crosscall");

int
__crosscall(void)
{
	/*
	 * This function exists in the other module.
	 * It incorrectly gets called using its local entry point.
	 */
	return testcase();
}
